libebook::IMPParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::IMPParser Class Reference

`#include <IMPParser.h>`

## Public Member Functions
| IMPParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)
bool | parse ()

## Private Member Functions
| IMPParser (const IMPParser &)
IMPParser & | operator= (const IMPParser &)
void | createTextStream ()
boost::shared_ptr< librevenge::RVNGInputStream > | getFileStream (const char *name) const

## Private Attributes
const IMPHeader | m_header
librevenge::RVNGInputStream *const | m_input
IMPCollector | m_collector
boost::shared_ptr< librevenge::RVNGInputStream > | m_resources
boost::shared_ptr< librevenge::RVNGInputStream > | m_text

## Constructor & Destructor Documentation

## ◆ IMPParser() [1/2]

libebook::IMPParser::IMPParser | ( | const IMPParser & |  | ) |
| private

## ◆ IMPParser() [2/2]

libebook::IMPParser::IMPParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document
| ) |  |

## Member Function Documentation

## ◆ createTextStream()

void libebook::IMPParser::createTextStream | ( |  | ) |
| private

Referenced by parse().

## ◆ getFileStream()

shared_ptr< librevenge::RVNGInputStream > libebook::IMPParser::getFileStream | ( | const char * | name | ) | const
| private

Referenced by createTextStream().

## ◆ operator=()

IMPParser& libebook::IMPParser::operator= | ( | const IMPParser & |  | ) |
| private

## ◆ parse()

bool libebook::IMPParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_collector

IMPCollector libebook::IMPParser::m_collector
| private

Referenced by parse().

## ◆ m_header

const IMPHeader libebook::IMPParser::m_header
| private

Referenced by createTextStream(), and parse().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::IMPParser::m_input
| private

Referenced by parse().

## ◆ m_resources

boost::shared_ptr<librevenge::RVNGInputStream> libebook::IMPParser::m_resources
| private

Referenced by createTextStream(), getFileStream(), and parse().

## ◆ m_text

boost::shared_ptr<librevenge::RVNGInputStream> libebook::IMPParser::m_text
| private

Referenced by createTextStream(), and parse().

The documentation for this class was generated from the following files:

- IMPParser.h
- IMPParser.cpp